In addition to Weibo, there is also WeChat
Please pay attention
WeChat public account
Shulou
2025-01-16 Update From: SLTechnology News&Howtos shulou NAV: SLTechnology News&Howtos > Internet Technology >
Share
Shulou(Shulou.com)05/31 Report--
In this article, the editor introduces in detail "how to create a wall in Revit". The content is detailed, the steps are clear, and the details are handled properly. I hope this article "how to create a wall in Revit" can help you solve your doubts.
The api wall creation method provided by Revit has 5 overloads, as follows:
1.Create (Document, Curve, ElementId, Boolean)
2.Create (Document,IList (Curve), Boolean)
3.Create (Document, IList (Curve), ElementId, ElementId, Boolean)
4.Create (Document, IList (Curve), ElementId, ElementId, Boolean, XYZ
5.Create (Document, Curve, ElementId, ElementId, Double, Double, Boolean, Boolean)
These five methods are similar, this issue we will first how to use 1.Create (Document, Curve, ElementId, Boolean) to achieve the default wall creation.
Here we go!
First of all, let's analyze what we need for this method.
We need Document, Curve, ElementId, Boolean, so let's prepare these conditions one by one:
(1) Document doc already exists in the template.
(2) Curve, we can create a straight line:
Line.CreateBound (new XYZ (0,0,0), new XYZ (0,100,0))
(3) ElementId, we need levelId, use the filter to find out the elevation ID we need:
FilteredElementCollector fil = new FilteredElementCollector (doc)
Fil.OfClass (typeof (Level))
Foreach (Level ll in fil)
{
Ll.Id
}
(4) whether Boolean is a structure, we choose false.
two。 Put it together, it looks like this:
FilteredElementCollector fil = new FilteredElementCollector (doc)
Fil.OfClass (typeof (Level))
Foreach (Level ll in fil)
{
/ / here we need to determine which floor to create the wall we need.
If (ll.Name.Contains ("first layer"))
{
ElementId id = new ElementId (ll.Id.IntegerValue)
Wall wa = Wall.Create (doc, Line.CreateBound (new XYZ (0,0,0), new XYZ (0,100,0)), id, false)
}
}
So we can create a wall on the first floor, let's take a look at the effect!
After reading this, the article "how to create walls in Revit" has been introduced. If you want to master the knowledge points of this article, you still need to practice and use it yourself. If you want to know more about related articles, welcome to follow the industry information channel.
Welcome to subscribe "Shulou Technology Information " to get latest news, interesting things and hot topics in the IT industry, and controls the hottest and latest Internet news, technology news and IT industry trends.
Views: 0
*The comments in the above article only represent the author's personal views and do not represent the views and positions of this website. If you have more insights, please feel free to contribute and share.
Continue with the installation of the previous hadoop.First, install zookooper1. Decompress zookoope
"Every 5-10 years, there's a rare product, a really special, very unusual product that's the most un
© 2024 shulou.com SLNews company. All rights reserved.